---
title: 'Forgejo Contributor Guide'
---

This area is targeted to people who want to improve Forgejo and adjust it to
their needs.

We encourage you to [read our warm welcome first](./welcome/), then get involved.

- For everyone involved
  - [Code of Conduct](./coc/)
  - [Bugs, enhancement ideas and development roadmap](https://codeberg.org/forgejo/forgejo/issues)
  - [General discussions related to Forgejo (tips & tricks, news, ideas, questions)](./discussions/)
  - [Governance](./governance/)
  - [Sustainability and funding repository](https://codeberg.org/forgejo/sustainability)
- For translators
  - [Localization](./localization/)
  - [Base localization](./localization-english/)
  - [Localization admin duties](./localization-admin/)
- For UI/UX designers and user researchers
  - [Design repository](https://codeberg.org/forgejo/design/)
  - [User Research repository](https://codeberg.org/forgejo/user-research/)
- For developers
  - [Compiling from source](./from-source/)
  - [Testing](./testing/)
  - [Development environment](./development-environment/)
  - [Interface customization](./customization/)
  - [Architecture overview](./architecture/)
    - [Federation Architecture](https://codeberg.org/forgejo-contrib/federation/src/branch/main/architecture/federation-architecture.md)
    - [Federation Architectural Decision Records](https://codeberg.org/forgejo-contrib/federation/src/branch/main/architecture/adr)
  - [Threat Analysis](./threat-analysis/)
  - [Developer Certificate of Origin (DCO)](./dco/)
  - [code.forgejo.org](./code-forgejo-org/)
  - [next.forgejo.org kubernetes infrastructure](https://code.forgejo.org/infrastructure/k8s)
  - [static pages](./static-pages/)
  - [Forgejo runner implementation notes](https://code.forgejo.org/forgejo/runner/#hacking)
  - [Dependency management](./dependencies/)
- For maintainers
  - [Hardware infrastructure](https://code.forgejo.org/infrastructure/documentation#readme)
  - [Release management](./release/)
  - [Managing dependencies between repositories](./repositories-dependencies/)
  - [Secrets](./secrets/)
